Skip to main content
Resource Center/Network Resource/Policy Routing Operations

QueryPolicyRouteTableRouteEntry

QueryPolicyRouteTableRouteEntry

GET/zstack/v1/policy-routes/routes
GET/zstack/v1/policy-routes/routes/{uuid}

Operation ID

QueryPolicyRouteTableRouteEntry

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • tableUuid
      StringRequired

      The policy route table UUID.

    • destinationCidr
      StringRequired

      The destination CIDR.

    • nextHopIp
      StringRequired

      The next hop IP address.

    • distance
      intRequired

      The priority.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.